Bug 1030523 - when journald discards messages due to rate limiting, it does not show how many messages were dropped
when journald discards messages due to rate limiting, it does not show how ma...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 10:48 EST by Andrew J. Schorr
Modified: 2015-02-17 14:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:14:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/rc.d/init.d/verbose to show behavior of journald rate-limiting (863 bytes, application/x-shellscript)
2013-11-14 10:48 EST, Andrew J. Schorr
no flags Details

  None (edit)
Description Andrew J. Schorr 2013-11-14 10:48:44 EST
Created attachment 824014 [details]
/etc/rc.d/init.d/verbose to show behavior of journald rate-limiting

Description of problem:
As documented in 'man journald.conf', systemd-journald applies rate limiting based on RateLimitInterval and RateLimitBurst to messages on a per-service basis.  The default value for RateLimitBurst is 200.  One of my services is very verbose and produces over 200 messages when it starts.  As expected, journald starts discarding messages after 200 are logged.  But the man page claims that it will log a message about the number of dropped messages, and I do not see that in the log.  It would be very helpful if journald shows that it dropped messages.

Version-Release number of selected component (if applicable):
systemd-204-17.fc19.x86_64


How reproducible:
Create a service or LSB init script that logs over 200 messages in less than 10 seconds.  Start the service and observe that messages are dropped.  The attached LSB init script demonstrates the problem.  Note that there is another bug I discovered: if the script spews 250 messages quickly without pausing, none are discarded by journald.  If I add "sleep 1" after every 50 messages, then the rate limiting works propertly.  Maybe I should open a separate bug for this issue...
  
Steps to Reproduce:
1. Copy the attached file to /etc/rc.d/init.d/verbose
2. In one window, run "journalctl -f"
3. systemctl start verbose

Actual results:
Messages are discarded without any message indicating that messages were dropped.

Expected results:
Journald should log a message saying how many messages were dropped.

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:35:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 14:14:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-02-17 14:59:33 EST
This was fixed at some point.

Note You need to log in before you can comment on or make changes to this bug.